<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.bonus.canteen.core.menu.mapper.MenuMaterialCategoryMapper">


<!--    <select id="listCategoryByParentId" resultType="com.bonus.canteen.core.drp.vo.AndroidCategoryVO">-->
<!--        SELECT-->
<!--            category_id,-->
<!--            category_name,-->
<!--            category_type,-->
<!--            parent_id-->
<!--        FROM-->
<!--            menu_material_category-->
<!--        WHERE-->
<!--            parent_id = #{content.parentId}-->
<!--            AND category_type = #{content.categoryType}-->
<!--            AND del_flag = #{delFlag}-->
<!--    </select>-->
<!--    <select id="listAllOneLevelCategory"-->
<!--            resultType="com.bonus.canteen.core.device.android.drp.po.CategoryMaterialNumModel">-->
<!--        SELECT-->
<!--            category_id-->
<!--        FROM-->
<!--            menu_material_category-->
<!--        WHERE-->
<!--            parent_id IN ( SELECT category_id FROM menu_material_category WHERE parent_id = - 1 and del_flag = #{delFlag} )-->
<!--            and del_flag = #{delFlag}-->
<!--    </select>-->
<!--    <select id="selectNameListByIdList" resultType="com.bonus.canteen.core.drp.vo.AndroidCategoryVO">-->
<!--        SELECT-->
<!--            category_id,-->
<!--            category_name-->
<!--        FROM-->
<!--            menu_material_category-->
<!--        WHERE-->
<!--            category_id IN-->
<!--            <foreach collection="categoryIds" item="item" index="index" open="(" separator="," close=")">-->
<!--                #{item}-->
<!--            </foreach>-->
<!--    </select>-->
<!--    <select id="listIdAndParentId" resultType="com.bonus.canteen.core.common.utils.BaseTreeNode">-->
<!--        SELECT-->
<!--            category_id id,-->
<!--            parent_id-->
<!--        FROM-->
<!--            menu_material_category-->
<!--        where del_flag = 2-->
<!--    </select>-->
</mapper>
